import request from '@/utils/request'

// 查询煤气罐设备信息列表
export function listDevices(query) {
  return request({
    url: '/center-monitor/gps/devices/list',
    method: 'get',
    params: query
  })
}

// 查询煤气罐设备信息详细
export function getDevices(id) {
  return request({
    url: '/center-monitor/gps/devices/' + id,
    method: 'get'
  })
}

// 新增煤气罐设备信息
export function addDevices(data) {
  return request({
    url: '/center-monitor/gps/devices',
    method: 'post',
    data: data
  })
}

// 修改煤气罐设备信息
export function updateDevices(data) {
  return request({
    url: '/center-monitor/gps/devices',
    method: 'put',
    data: data
  })
}

// 删除煤气罐设备信息
export function delDevices(id) {
  return request({
    url: '/center-monitor/gps/devices/' + id,
    method: 'delete'
  })
}

export function listDevicesDept(query) {
  return request({
    url: '/center-monitor/gps/devices/listDept',
    method: 'get',
    params: query
  })
}

// 查询部门列表
export function selectDeptGpsData(query) {
  return request({
    url: '/center-monitor/gps/devices/selectDeptGpsData',
    method: 'get',
    params: query
  })
}
